ruby-graffiti_2.3.1-1_all.deb


Advertisement

Description

ruby-graffiti - Relational RDF store for Ruby

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package name ruby-graffiti
Package version 2.3.1
Package release 1
Package architecture all
Package type deb
Installed size 126 B
Download size 28.04 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
ruby-graffiti_2.3.1-1_all.deb 2.3.1 all Debian Main
ruby-graffiti - - -

Requires

Name Value
ruby -
ruby-interpreter -
ruby-mysql2 -
ruby-pg -
ruby-sequel -
ruby-sqlite3 -
syncache -

Download

Type URL
Binary Package ruby-graffiti_2.3.1-1_all.deb
Source Package ruby-graffiti

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-graffiti deb package:
    # sudo apt-get install ruby-graffiti

Files

Path
/usr/lib/ruby/vendor_ruby/graffiti.rb
/usr/lib/ruby/vendor_ruby/graffiti/debug.rb
/usr/lib/ruby/vendor_ruby/graffiti/exceptions.rb
/usr/lib/ruby/vendor_ruby/graffiti/rdf_config.rb
/usr/lib/ruby/vendor_ruby/graffiti/rdf_property_map.rb
/usr/lib/ruby/vendor_ruby/graffiti/sql_mapper.rb
/usr/lib/ruby/vendor_ruby/graffiti/squish.rb
/usr/lib/ruby/vendor_ruby/graffiti/store.rb
/usr/share/doc/ruby-graffiti/README.rdoc.gz
/usr/share/doc/ruby-graffiti/TODO
/usr/share/doc/ruby-graffiti/changelog.Debian.gz
/usr/share/doc/ruby-graffiti/copyright
/usr/share/doc/ruby-graffiti/rdf-impl-report.txt.gz
/usr/share/doc/ruby-graffiti/diagrams/graffiti-classes.svg
/usr/share/doc/ruby-graffiti/diagrams/graffiti-deployment.svg
/usr/share/doc/ruby-graffiti/diagrams/graffiti-store-sequence.svg
/usr/share/doc/ruby-graffiti/diagrams/squish-select-sequence.svg
/usr/share/doc/ruby-graffiti/examples/samizdat-rdf-config.yaml
/usr/share/doc/ruby-graffiti/examples/samizdat-triggers-pgsql.sql.gz
/usr/share/rubygems-integration/all/specifications/graffiti-2.3.1.gemspec

Changelog

2016-04-17 - Dmitry Borodaenko <angdraug@debian.org>
ruby-graffiti (2.3.1-1) unstable; urgency=low
[ Dmitry Borodaenko ]
* New upstream release:
- test, build, and CI integration fixes.
* Remove patches:
- 0001-Set-correct-version-in-gemspec.patch (fixed upstream)
- 0002-Do-not-use-booleans-mapped-to-integer.patch (fixed upstream).
[ C├ędric Boutillier ]
* Bump debhelper compatibility level to 9.
* Remove version in the gem2deb build-dependency.
* Use https:// in Vcs-* fields.
* Bump Standards-Version to 3.9.7 (no changes needed).
* Run wrap-and-sort on packaging files.
2016-01-24 - Dmitry Borodaenko <angdraug@debian.org>
ruby-graffiti (2.2-3) unstable; urgency=low
* Vcs-Git and Vcs-Browser fixed to use anonscm.debian.org.
* Alternative depends on ruby-mysql changed to ruby-mysql2.
* Standards-Version upgraded to 3.9.6 (no changes).
2013-12-25 - Hleb Valoshka <375gnu@gmail.com>
ruby-graffiti (2.2-2) unstable; urgency=medium
* Team upload.
* Add patches:
- 0001-Set-correct-version-in-gemspec.patch
- 0002-Do-not-use-booleans-mapped-to-integer.patch (Closes: #725553).
* Standards-Version upgraded to 3.9.5 (no changes).
* Build against gem2deb >= 0.5.0~ to add ruby2.0 and drop ruby1.8 support.
2012-06-09 - Dmitry Borodaenko <angdraug@debian.org>
ruby-graffiti (2.2-1) unstable; urgency=low
* New upstream release:
- force deterministic iteration over hashes (Closes: #674379).
* Standards-Version upgraded to 3.9.3 (no changes).
2011-12-25 - Dmitry Borodaenko <angdraug@debian.org>
ruby-graffiti (2.1-1) unstable; urgency=low
* New upstream release:
- migrated from DBI to Sequel.
* Dropped all patches merged upstream.
* Unit test now requires ruby-sqlite3 and ruby-sequel to run.
* Added Suggests: ruby-sequel-pg.
2011-09-16 - Dmitry Borodaenko <angdraug@debian.org>
ruby-graffiti (1.0-1) unstable; urgency=low
* Initial release. Closes: #573968 (ITP).
* Ruby 1.9 compatibility patches:
- SqlExpression#to_str
- ordering-agnosting query matching in unit tests.

See Also

Package Description
ruby-grape-entity_0.7.1-1_all.deb Entity support to API frameworks, such as Grape
ruby-grape-logging_1.7.0-1_all.deb request logging support for Grape
ruby-grape-msgpack_0.2.0-1_all.deb MessagePack formatter for Grape framework
ruby-grape-path-helpers_1.0.6-1_all.deb Route path helpers for Grape
ruby-grape-route-helpers_2.1.0-3_all.deb Route helpers for Grape
ruby-grape_1.0.3-1_all.deb Simple Ruby framework for building REST-like APIs
ruby-graphql_1.8.4-1_all.deb GraphQL language and runtime for Ruby
ruby-graphviz_1.2.3-1_all.deb Ruby interface to the GraphViz graphing tool
ruby-grib_0.4.0-2+b2_amd64.deb Ruby interface to the ECMWF GRIB API
ruby-grit-ext_0.8.1-2_all.deb utf-8 support extension for grit
ruby-grit_2.8.2-2_all.deb Ruby Git bindings
ruby-grpc-tools_1.16.0-1_all.deb Development tools for Ruby gRPC
ruby-grpc_1.16.0-1_amd64.deb GRPC system in Ruby
ruby-gruff_0.6.0-1_all.deb Ruby library to create beautiful graphs for one or multiple datasets
ruby-gsl_2.1.0.3+dfsg1-1+b1_amd64.deb Ruby bindings for the GNU Scientific Library (GSL)
Advertisement
Advertisement